Skip to main content
POST
/
cohorts
/
list
List Saved Cohorts
curl --request POST \
  --url https://{regionAndDomain}.com/api/query/cohorts/list \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "count": 150,
    "is_visible": 1,
    "description": "This cohort is visible, has an id = 1000, and currently has 150 users.",
    "created": "2019-03-19 23:49:51",
    "project_id": 1,
    "id": 1000,
    "name": "Cohort One"
  },
  {
    "count": 25,
    "is_visible": 0,
    "description": "This cohort isn't visible, has an id = 2000, and currently has 25 users.",
    "created": "2019-04-02 23:22:01",
    "project_id": 1,
    "id": 2000,
    "name": "Cohort Two"
  }
]

Authorizations

Authorization
string
header
required

Service Account

Query Parameters

project_id
integer
required

Required if using service account to authenticate request.

workspace_id
integer

The id of the workspace if applicable.

Response

200 - application/json

Success.

count
integer
is_visible
integer

0 if not visible. 1 if visible

description
string
created
string
project_id
integer
id
integer
name
string